LLVM: lldb::SBTypeMemberFunction Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeMemberFunction Class Reference

`#include <SBType.h>`

Collaboration diagram for lldb::SBTypeMemberFunction:
[legend]

## Public Member Functions
| SBTypeMemberFunction ()
| SBTypeMemberFunction (const lldb::SBTypeMemberFunction &rhs)
| ~SBTypeMemberFunction ()
lldb::SBTypeMemberFunction & | operator= (const lldb::SBTypeMemberFunction &rhs)
bool | IsValid () const
const char * | GetName ()
const char * | GetDemangledName ()
const char * | GetMangledName ()
lldb::SBType | GetType ()
lldb::SBType | GetReturnType ()
uint32_t | GetNumberOfArguments ()
lldb::SBType | GetArgumentTypeAtIndex (uint32_t)
lldb::MemberFunctionKind | GetKind ()
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)

## Protected Member Functions
void | reset (lldb_private::TypeMemberFunctionImpl *)
lldb_private::TypeMemberFunctionImpl & | ref ()
const lldb_private::TypeMemberFunctionImpl & | ref () const

## Protected Attributes
lldb::TypeMemberFunctionImplSP | m_opaque_sp

## Friends
class | SBType

## Detailed Description

Definition at line 58 of file SBType.h.

## Constructor & Destructor Documentation

lldb::SBTypeMemberFunction::SBTypeMemberFunction | ( |  | ) |

lldb::SBTypeMemberFunction::SBTypeMemberFunction | ( | const lldb::SBTypeMemberFunction & | rhs | ) |

lldb::SBTypeMemberFunction::~SBTypeMemberFunction | ( |  | ) |

## Member Function Documentation

lldb::SBType lldb::SBTypeMemberFunction::GetArgumentTypeAtIndex | ( | uint32_t |  | ) |

const char* lldb::SBTypeMemberFunction::GetDemangledName | ( |  | ) |

bool lldb::SBTypeMemberFunction::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

lldb::MemberFunctionKind lldb::SBTypeMemberFunction::GetKind | ( |  | ) |

const char* lldb::SBTypeMemberFunction::GetMangledName | ( |  | ) |

const char* lldb::SBTypeMemberFunction::GetName | ( |  | ) |

uint32_t lldb::SBTypeMemberFunction::GetNumberOfArguments | ( |  | ) |

lldb::SBType lldb::SBTypeMemberFunction::GetReturnType | ( |  | ) |

lldb::SBType lldb::SBTypeMemberFunction::GetType | ( |  | ) |

bool lldb::SBTypeMemberFunction::IsValid | ( |  | ) | const

lldb::SBTypeMemberFunction& lldb::SBTypeMemberFunction::operator= | ( | const lldb::SBTypeMemberFunction & | rhs | ) |

lldb_private::TypeMemberFunctionImpl& lldb::SBTypeMemberFunction::ref | ( |  | ) |
| protected

const lldb_private::TypeMemberFunctionImpl& lldb::SBTypeMemberFunction::ref | ( |  | ) | const
| protected

void lldb::SBTypeMemberFunction::reset | ( | lldb_private::TypeMemberFunctionImpl * |  | ) |
| protected

## Friends And Related Function Documentation

friend class SBType
| friend

Definition at line 90 of file SBType.h.

## Member Data Documentation

lldb::TypeMemberFunctionImplSP lldb::SBTypeMemberFunction::m_opaque_sp
| protected

Definition at line 98 of file SBType.h.

The documentation for this class was generated from the following file:

- SBType.h